#pragma once

#include <psemek/io/stream.hpp>

#include <filesystem>
#include <memory>

namespace psemek::app
{

	std::filesystem::path storage_root();
	void set_storage_root(std::filesystem::path const & root);

	// Implemented by a backend library
	std::unique_ptr<io::istream> read_storage(std::filesystem::path const & relative_path);
	std::unique_ptr<io::ostream> write_storage(std::filesystem::path const & relative_path);

}
